#!/bin/bash
WPDBPHOST="`wp config get DB_HOST --path=/var/www/webroot/ROOT`"
WPDBNAME="`wp config get DB_NAME --path=/var/www/webroot/ROOT`"
WPDBUSER="`wp config get DB_USER --path=/var/www/webroot/ROOT`"
WPDBPASS="`wp config get DB_PASSWORD --path=/var/www/webroot/ROOT`"
timestamp=$(date)
keywordSearch=$1
keywordreplace=$2

echo "=========================="
echo "Search and Replace operation starts: $timestamp"
echo "---------------------"
echo ""
php srdb.cli.php -h $WPDBPHOST -n $WPDBNAME -u $WPDBUSER -p "$WPDBPASS" -s "$keywordSearch" -r "$keywordreplace" -z
echo ""
echo "Search and Replace operation ends: $timestamp"